Loading...
Searching...
No Matches
Opm::RestartIO::RstGroup Struct Reference

## Public Member Functions

| RstGroup (const UnitSystem &unit_system, const RstHeader &header, const std::string *zwel, const int *igrp, const float *sgrp, const double *xgrp)

## Public Attributes

std::string | name
int | parent_group
int | prod_cmode
int | winj_cmode
int | ginj_cmode
int | prod_guide_rate_def
int | exceed_action
int | inj_water_guide_rate_def
int | inj_gas_guide_rate_def
int | voidage_group_index
int | add_gas_lift_gas
int | group_type {}
| Kind of group (i.e., well, node, or satellite).
float | oil_rate_limit
float | water_rate_limit
float | gas_rate_limit
float | liquid_rate_limit
float | resv_rate_limit
float | water_surface_limit
float | water_reservoir_limit
float | water_reinject_limit
float | water_voidage_limit
float | gas_surface_limit
float | gas_reservoir_limit
float | gas_reinject_limit
float | gas_voidage_limit
double | glift_max_supply
double | glift_max_rate
float | efficiency_factor
float | inj_water_guide_rate
float | inj_gas_guide_rate
float | gas_consumption_rate
float | gas_import_rate
double | oil_production_rate
double | water_production_rate
double | gas_production_rate
double | liquid_production_rate
double | water_injection_rate
double | gas_injection_rate
double | wct
double | gor
double | oil_production_total
double | water_production_total
double | gas_production_total
double | voidage_production_total
double | water_injection_total
double | gas_injection_total
double | voidage_injection_total
double | oil_production_potential
double | water_production_potential
double | history_total_oil_production
double | history_total_water_production
double | history_total_water_injection
double | history_total_gas_production
double | history_total_gas_injection
double | gas_consumption_total
double | gas_import_total

## Static Public Attributes

static constexpr auto | UNDEFINED_VALUE = 1.0e20f

The documentation for this struct was generated from the following files:

- opm/io/eclipse/rst/group.hpp
- opm/io/eclipse/rst/group.cpp